<template>
  <q-page padding>
    <!-- content -->
  </q-page>
</template>

<script>
export default {
  name: 'HapusJenisProduk',
  beforeMount() {
    this.deleteJenisProduk();
  },
  methods: {
    deleteJenisProduk() {
      this.$axios.post("api/product-type/delete/" + this.$route.params.id)
      .then(sukses => {
        this.$router.push("/jenis-produk");
        this.$q.notify({
          message: "Berhasil Hapus Jenis Produk",
          color: "green",
          position: "top"
        })
      })
      .catch(error => {
        let pesanError = error.response.error;
        this.$q.notify({
          message: "Gagal !" + pesanError,
          color: "green",
          position: "top"
        })
      })
    }
  }
}
</script>
